|
马上注册,结交更多同行朋友,交流,分享,学习。
您需要 登录 才可以下载或查看,没有帐号?注册
x
主要是先收集孔的定位信息 然后打孔
待打孔的零件已经在Part环境下存在了
data.value.string 是事先获得的孔的直径和长度(为了省事,设成一样的)
大侠们帮看看 问题出在哪
double orientation[9]={0,0,0,0,0,0,0,0,0};
double origin[3]={0,0,0};
double pts[6]={0,0,0,0,0,0};
int error_code=0;
int imode,display,iresponse;
tag_t plane_eid;
imode=1;
display=0;
error_code=UF_UI_specify_plane(
"指定平面",&imode,display,&iresponse,orientation,origin,&plane_eid);
char sCue[]="请选择定位点";
UF_UI_POINT_base_method_t base_method=UF_UI_POINT_INFERRED;
tag_t tPoint=NULL_TAG;
double sBasePoint[3];
int iResponse=UF_UI_OK;
UF_UI_point_construct(sCue,&base_method,&tPoint,sBasePoint,&iResponse);
double vec[3],pnt[3];
int mode=UF_UI_YC_AXIS;
int disp_flag=UF_UI_DISP_TEMP_VECTOR;
int response=0;
UF_UI_specify_vector("choose a Vector",&mode,disp_flag,vec,pnt,&response);
char part_fspec[MAX_FSPEC_SIZE+1];
tag_t displayPart=UF_PART_ask_nth_part(0);
UF_PART_ask_part_name(displayPart,part_fspec);
UF_MODL_create_simple_hole(
sBasePoint,vec,data.value.string,data.value.string,"0",plane_eid,NULL,&displaPart);
UF_terminate (); |
|